Bug 1267423 - pulseaudio asserts when loopback is loaded and bluetooth sink disconnects
pulseaudio asserts when loopback is loaded and bluetooth sink disconnects
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-29 21:48 EDT by Joshua Roys
Modified: 2015-12-02 13:19 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:31:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pulseaudio debug output (33.99 KB, text/plain)
2015-09-29 21:48 EDT, Joshua Roys
no flags Details

  None (edit)
Description Joshua Roys 2015-09-29 21:48:43 EDT
Created attachment 1078511 [details]
pulseaudio debug output

Description of problem:
If the loopback module is loaded after a bluetooth sink connects and then the sink disconnects, pulseaudio asserts.


Version-Release number of selected component (if applicable):
pulseaudio-6.0-4.fc21.armv7hl


Steps to Reproduce:
1. pair a bluetooth speaker
2. pactl load-module module-loopback latency_msec=1
3. turn off speaker

Actual results:
E: [pulseaudio] asyncmsgq.c: Assertion 'pa_atomic_load(&(a)->_ref) > 0' failed at pulsecore/asyncmsgq.c:172, function pa_asyncmsgq_get(). Aborting.


Expected results:
pulseaudio doesn't assert


Additional info:
attached log
Comment 1 Wim Taymans 2015-10-05 04:23:22 EDT
This sounds related to the fixes done here:

http://cgit.freedesktop.org/pulseaudio/pulseaudio/commit/?
id=bf7bc1a55fa383b6aa487bedee90065afdbef9e6
Comment 2 Fedora End Of Life 2015-11-04 05:20:38 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-12-02 10:31:23 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.